## libsoup2.4 2.68.2

=== debian/changelog ===
libsoup2.4 (2.68.2-0ubuntu1) eoan; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 09 Oct 2019 12:41:32 +0200

libsoup2.4 (2.68.1-1) experimental; urgency=medium

  [ Philip Chimento ]
  * debian/control.in: Add build dependency on libnss-myhostname, this
    should provide a way to resolve *.localhost which the HSTS tests depend
    on.
  * debian/patches/disable_buggy_test.patch: Dropped, the test passes now.

  [ Sebastien Bacher ]
  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Sep 2019 15:18:07 +0200

libsoup2.4 (2.68.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * Add a superficial autopkgtest for the -dev packages.
    This will detect bugs like #935944 in future.
  * libsoup2.4-dev: Add missing dependency on libbrotli-dev
    (Closes: #935944)

  [ Sebastien Bacher ]
  * New upstream release
  * debian/control.in:
    - libsoup2.4-dev depends also on zlib1g-dev now
  * debian/patches/disable_buggy_test.patch:
    - disabled some buggy tests following upstream's recommendation, at
      least until the next version where they plan to rework or drop those

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Sep 2019 15:09:30 +0200

libsoup2.4 (2.67.92-2) experimental; urgency=medium

  * debian/rules:
    - set the feature arguments to 'enabled'

 -- Sebastien Bacher <seb128@debian.org>  Wed, 21 Aug 2019 15:46:10 +0200

libsoup2.4 (2.67.92-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Aug 2019 13:57:06 +0200

libsoup2.4 (2.67.91-2) experimental; urgency=medium

  * debian/libsoup2.4-1.symbols:
    - updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Aug 2019 15:53:24 +0200

libsoup2.4 (2.67.91-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Aug 2019 09:19:30 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libsoup2.4
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper (>= 11),
               dh-sequence-gir,
               dh-sequence-gnome,
               libbrotli-dev,
               libglib2.0-dev (>= 2.39.90),
               glib-networking (>= 2.32.0),
               libsqlite3-dev,
               libxml2-dev,
               libkrb5-dev,
               libpsl-dev (>= 0.20),
               gtk-doc-tools,
               meson (>= 0.48),
               libgirepository1.0-dev (>= 0.9.5),
               apache2 (>= 2.4) <!nocheck>,
               php <!nocheck>,
               php-xmlrpc <!nocheck>,
               curl <!nocheck>,
               libnss-myhostname <!nocheck>,
               valac
Build-Depends-Indep: libglib2.0-doc
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup
Vcs-Git: https://salsa.debian.org/gnome-team/libsoup.git
Homepage: https://wiki.gnome.org/Projects/libsoup
Rules-Requires-Root: no

Package: libsoup2.4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libbrotli-dev,
         libpsl-dev (>= 0.20),
         libsoup2.4-1 (= ${binary:Version}),
         libsqlite3-dev,
         gir1.2-soup-2.4 (= ${binary:Version}),
         libglib2.0-dev (>= 2.38.0),
         libxml2-dev,
         zlib1g-dev,
Suggests: libsoup2.4-doc
Description: HTTP library implementation in C -- Development files
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the development files.

Package: libsoup2.4-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         glib-networking (>= 2.32.0)
Description: HTTP library implementation in C -- Shared library
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications.  This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the shared library.

Package: libsoup-gnome2.4-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: HTTP library implementation in C -- GNOME support library
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications.  This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 The GNOME support library is used for features which are important to
 GNOME apps, but which require GNOME-specific libraries that non-GNOME
 apps may not want to add dependencies on.
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the GNOME support shared library.

Package: libsoup-gnome2.4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libsoup-gnome2.4-1 (= ${binary:Version}),
         libsoup2.4-dev (= ${binary:Version})
Suggests: libsoup2.4-doc
Description: HTTP library implementation in C -- GNOME support development files
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the Gtk+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 The GNOME support library is used for features which are important to
 GNOME apps, but which require GNOME-specific libraries that non-GNOME
 apps may not want to add dependencies on.
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the development files for the GNOME support.

Package: libsoup2.4-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: libsoup2.4-dev
Description: HTTP library implementation in C -- API Reference
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the documentation.

Package: gir1.2-soup-2.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: gir1.2-soupgnome-2.4 (= ${binary:Version})
Description: GObject introspection data for the libsoup HTTP library
 This package contains introspection data for the libsoup HTTP library.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications.  This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dbrotli=enabled \
		-Dgtk_doc=true \
		-Dvapi=enabled

override_dh_missing:
	dh_missing --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='libsoup2.4-dbg (<< 2.54.0.1-1~)'

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== debian/tests/control ===
Tests: libsoup2.4-dev
Depends: build-essential,
         dbus,
         libsoup2.4-dev,
         xauth,
         xvfb
Restrictions: allow-stderr superficial

Tests: libsoup-gnome2.4-dev
Depends: build-essential,
         dbus,
         libsoup-gnome2.4-dev,
         xauth,
         xvfb
Restrictions: allow-stderr superficial

=== debian/watch ===
version=4
https://download.gnome.org/sources/libsoup/([\d\.]+)/ \
	libsoup@ANY_VERSION@\.tar\.xz

## libsoup2.4 2.69.90

=== debian/changelog ===
libsoup2.4 (2.69.90-1) experimental; urgency=medium

  [ Sebastien Bacher ]
  * debian/test/build:
    - Use the correct compiler for proposed autopkgtest cross-testing
      support

  [ Simon McVittie ]
  * New upstream release
    - Allow introspection in cross builds
    - Fixes to testing infrastructure
    - Require GLib 2.58, for g_canonicalize_filename()
  * Correct list of patches in previous changelog entry.
    d/p/tests-Disable-parallelism-for-XMLRPC-server-tests.patch
    turned out to be unnecessary and was dropped before upload.
  * d/p/xmlrpc-tests-Cope-with-GLib-2.62-TAP-output.patch,
    d/p/tests-Disable-parallelism-for-installed-tests-too.patch:
    Drop, applied upstream

  [ Iain Lane ]
  * New upstream release:
    - Add new API to expose support for same-site cookies
    - Deprecate soup_date_to_timeval()
    - Fix TRACE method not being considered safe and idempotent internally
    - WebSockets: do not start the input source when IO is closing
  * Add new symbols for 2.69.90

 -- Iain Lane <laney@debian.org>  Wed, 19 Feb 2020 14:04:37 +0000

libsoup2.4 (2.68.2-2) experimental; urgency=medium

  * Team upload
  * Upload to experimental for NEW processing
  * Install automated tests in a new libsoup2.4-tests binary package
  * d/tests/installed-tests: Run those tests
  * d/p/tests-Disable-parallelism-for-installed-tests-too.patch:
    Avoid running tests in parallel if they need a specific port number

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Oct 2019 14:50:18 +0100

libsoup2.4 (2.68.2-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Switch branch to debian/unstable.
    We should upload the fix for CVE-2019-17266 to unstable, but
    the debian/master branch already has a version waiting for NEW
    processing.
  * New upstream release (CVE-2019-17266) (Closes: #941912)
  * libsoup-gnome2.4-dev: Explicitly depend on gir1.2-soup-2.4.
    According to the GIR mini-policy, this is required because
    gir1.2-soup-2.4 contains SoupGNOME-2.4.typelib, corresponding to
    SoupGNOME-2.4.gir in libsoup-gnome2.4-dev. This dependency is not in
    fact strictly necessary, because libsoup-gnome2.4-dev depends on
    libsoup2.4-dev which in turn depends on gir1.2-soup-2.4, but Lintian
    doesn't look at recursive dependencies.
  * libsoup2.4-doc.links: Create symlinks to documentation in /usr/share/doc.
    The actual documentation files remain in /usr/share/gtk-doc/html,
    because they are technically a programmatic interface: other libraries
    that depend on libsoup2.4 and use gtk-doc will use that path to fix
    cross-references in their own documentation.
    There are symlinks in both /u/s/d/libsoup2.4-dev (the "main package"
    in Policy §12.3), and /u/s/d/libsoup2.4-doc (the traditional location
    for documentation).
  * libsoup2.4-doc: Add Recommends: libglib2.0-doc, for the cross-references.
    The libsoup2.4 documentation contains many cross-references to GLib,
    GObject and GIO documentation. Add symlinks in /usr/share/doc so that
    those cross-references can be followed, even in browsers that treat
    symlinks like directories for the purposes of resolving relative paths.
  * d/libsoup2.4-doc.doc-base: Use the symlinks in /usr/share/doc.
    This is functionally equivalent to what we already had, but silences
    a Lintian error.
  * Standards-Version: 4.4.1 (no changes required)
  * d/copyright: Update
  * d/p/xmlrpc-tests-Cope-with-GLib-2.62-TAP-output.patch:
    Add proposed patch to fix test failures with GLib 2.62
  * Explicitly build-depend on libapache2-mod-php, PHP 7 and Python 3.
    The script that checks for the required PHP version is written in
    Python 3 and specifically looks for a php7* module. It seems that in
    practice the dependency resolver used on unstable buildds will always
    select libapache2-mod-php anyway, but the resolver used on
    experimental buildds can select the -cgi or -fpm implementations,
    which are not detected, resulting in the necessary files for some of
    the installed-tests not being installed.
  * Add lintian overrides for the binary package names not precisely
    matching the SONAMEs.
    They're close enough to achieve the goal of the mechanically-generated
    naming convention, and changing them now (other than at the time of an
    upstream SONAME bump) seems like more disruption than it's worth.

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Oct 2019 12:23:19 +0100

libsoup2.4 (2.68.1-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Bump Standards-Version to 4.4.0
  * Drop obsolete dh_strip dbgsym migration rule

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 09:55:29 -0400

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-sequence-gir,
                dh-sequence-gnome,
                libbrotli-dev,
-               libglib2.0-dev (>= 2.39.90),
+               libglib2.0-dev (>= 2.58),
                glib-networking (>= 2.32.0),
                libsqlite3-dev,
                libxml2-dev,
@@ -20,14 +20,18 @@
                gtk-doc-tools,
                meson (>= 0.48),
                libgirepository1.0-dev (>= 0.9.5),
-               apache2 (>= 2.4) <!nocheck>,
-               php <!nocheck>,
-               php-xmlrpc <!nocheck>,
-               curl <!nocheck>,
-               libnss-myhostname <!nocheck>,
+               apache2 (>= 2.4) <!nocheck !pkg.libsoup2.4.noinsttests>,
+               libapache2-mod-php (>= 2:7) <!nocheck !pkg.libsoup2.4.noinsttests>,
+               libapache2-mod-php (<< 2:8) <!nocheck !pkg.libsoup2.4.noinsttests>,
+               php (>= 2:7) <!nocheck !pkg.libsoup2.4.noinsttests>,
+               php (<< 2:8) <!nocheck !pkg.libsoup2.4.noinsttests>,
+               php-xmlrpc <!nocheck !pkg.libsoup2.4.noinsttests>,
+               python3,
+               curl <!nocheck !pkg.libsoup2.4.noinsttests>,
+               libnss-myhostname [linux-any] <!nocheck>,
                valac
 Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup
 Vcs-Git: https://salsa.debian.org/gnome-team/libsoup.git
 Homepage: https://wiki.gnome.org/Projects/libsoup
@@ -43,7 +47,7 @@
          libsoup2.4-1 (= ${binary:Version}),
          libsqlite3-dev,
          gir1.2-soup-2.4 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.38.0),
+         libglib2.0-dev (>= 2.58.0),
          libxml2-dev,
          zlib1g-dev,
 Suggests: libsoup2.4-doc
@@ -135,6 +139,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
+         gir1.2-soup-2.4 (= ${binary:Version}),
          libsoup-gnome2.4-1 (= ${binary:Version}),
          libsoup2.4-dev (= ${binary:Version})
 Suggests: libsoup2.4-doc
@@ -169,6 +174,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Recommends: libglib2.0-doc
 Suggests: libsoup2.4-dev
 Description: HTTP library implementation in C -- API Reference
  It was originally part of a SOAP (Simple Object Access Protocol)
@@ -211,3 +217,28 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
+
+Package: libsoup2.4-tests
+Build-Profiles: <!pkg.libsoup2.4.noinsttests>
+Section: misc
+Architecture: any
+Depends: apache2 (>= 2.4),
+         curl,
+         libapache2-mod-php (>= 2:7),
+         libapache2-mod-php (<< 2:8),
+         libnss-myhostname [linux-any],
+         php,
+         php-xmlrpc,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: gnome-desktop-testing
+Description: HTTP library implementation in C -- installed tests
+ libsoup uses the Glib main loop and is designed to work well with GTK+
+ applications. This enables GNOME applications to access HTTP servers
+ on the network in a completely asynchronous fashion, very similar to
+ the GTK+ programming model (a synchronous operation mode is also
+ supported for those who want it).
+ .
+ This package contains automated tests, mostly for use via autopkgtest.
+ They can most easily be invoked via the gnome-desktop-testing-runner
+ tool in the gnome-desktop-testing package.

=== debian/tests/control ===
--- 
+++ 
@@ -1,3 +1,12 @@
+Tests: installed-tests
+Depends: dbus,
+         gnome-desktop-testing,
+         libsoup2.4-tests,
+         winbind,
+         xauth,
+         xvfb
+Restrictions: allow-stderr isolation-container
+
 Tests: libsoup2.4-dev
 Depends: build-essential,
          dbus,

## libsoup2.4 2.70.0

=== meson_options.txt ===
option('gssapi',
  type : 'feature',
  value : 'auto',
  description : 'Build with GSSAPI support'
)

option('krb5_config',
  type : 'string',
  value : '',
  description : 'Where to look for krb5-config, path points to krb5-config installation (defaultly looking in PATH)'
)

option('ntlm',
  type : 'feature',
  value : 'auto',
  description : 'Build with NTLM support'
)

option('ntlm_auth',
  type : 'string',
  value : 'ntlm_auth',
  description : 'Where to look for ntlm_auth, path points to ntlm_auth installation (defaultly looking in PATH)'
)

option('brotli',
  type : 'feature',
  value : 'auto',
  description : 'Build with Brotli decompression support'
)

option('tls_check',
  type : 'boolean',
  value : true,
  description : 'Enable TLS support through glib-networking. If you are building a package, you can disable this to allow building libsoup anyway (since glib-networking is not actually required at compile time), but you should be sure to add a runtime dependency on it.'
)

option('gnome',
  type : 'boolean',
  value : true,
  description : 'Build libsoup with GNOME support'
)

option('introspection',
  type : 'feature',
  value : 'auto',
  yield : true,
  description : 'Build GObject Introspection data'
)

option('vapi',
  type : 'feature',
  value : 'auto',
  description : 'Build Vala bindings'
)

option('gtk_doc',
  type: 'boolean',
  value: false,
  description: 'Enable generating the API reference'
)

option('tests',
  type: 'boolean',
  value: true,
  description: 'Enable unit tests compilation'
)

option('installed_tests',
  type: 'boolean',
  value: false,
  description: 'Install tests for as-installed testing'
)

=== debian/changelog ===
libsoup2.4 (2.70.0-1ubuntu0.5) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of service.
    - debian/patches/CVE-2025-4476.patch: Replace strcmp with g_strcmp0 in
      ./libsoup/soup-auth-digest.c.
    - CVE-2025-4476

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 23 May 2025 14:25:17 -0230

libsoup2.4 (2.70.0-1ubuntu0.4) focal-security; urgency=medium

  * SECURITY REGRESSION: Incomplete fix for CVE-2025-32912 (LP: #2110056)
    - debian/patches/CVE-2025-32912-fix1.patch: Replace g_hash_table_contains
      with g_hash_table_lookup in ./libsoup/soup-auth-digest.c.
    - CVE-2025-32912

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 06 May 2025 15:05:13 -0230

libsoup2.4 (2.70.0-1ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: Out of bound read.
    - debian/patches/CVE-2025-32906-*.patch: Add out of bound checks in
      soup_headers_parse_request in ./libsoup/soup-headers.c.
    - debian/patches/CVE-2025-32914.patch: Replace strstr operation with
      g_strstr_len in ./libsoup/soup-multipart.c.
    - CVE-2025-32906
    - CVE-2025-32914
  * SECURITY UPDATE: Null pointer dereference.
    - debian/patches/CVE-2025-32909.patch: Add resource size check in
      ./libsoup/soup-content-sniffer.c.
    - debian/patches/CVE-2025-32910-32912-*.patch: Add checks for missing realm
      and nonce, and fix memory leak in ./libsoup/soup-auth-digest.c.
    - debian/patches/CVE-2025-32912.patch: Add additional checks for nonce in
      ./libsoup/soup-auth-digest.c.
    - CVE-2025-32909
    - CVE-2025-32910
    - CVE-2025-32912
  * SECURITY UPDATE: Memory corruption.
    - debian/patches/CVE-2025-32911-32913-*.patch: Add checks for empty
      filename in ./libsoup/soup-message-headers.c.
    - CVE-2025-32911
    - CVE-2025-32913
  * SECURITY UPDATE: Memory leak.
    - debian/patches/CVE-2025-46420.patch: Free allocated strings during
      iteration in ./libsoup/soup-headers.c.
    - CVE-2025-46420
  * SECURITY UPDATE: Information exposure through host impersonation.
    - debian/patches/CVE-2025-46421.patch: Strip credentials on cross-origin
      redirects in ./libsoup/soup-session.c.
    - CVE-2025-46421
  * debian/patches/Extend-test-cert-to-2049.patch: Extend expiration to 2049 of
    a certificate used for build tests.

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 02 May 2025 16:54:30 -0230

libsoup2.4 (2.70.0-1ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2025-2784-1.patch: Fix potential overflow
    - debian/patches/CVE-2025-2784-2.patch: Add better coverage of
      skip_insignificant_space()
    - CVE-2025-2784
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2025-32050.patch: Fix using int instead of
      size_t for strcspn return
    - CVE-2025-32050
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2025-32052.patch: Fix heap buffer overflow in
      soup_content_sniffer_sniff
    - CVE-2025-32052
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2025-32053.patch: Fix heap buffer overflow in
      sniff_feed_or_html()
    - CVE-2025-32053

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Wed, 09 Apr 2025 19:09:25 +0200

libsoup2.4 (2.70.0-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Request smuggling
    - debian/patches/CVE-2024-52530.patch: Strictly don't allow NUL 
      bytes in headers
    - CVE-2024-52530
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2024-52531-1.patch: Be more robust against 
      invalid input when parsing params
    - debian/patches/CVE-2024-52531-2.patch: Add test for passing 
      invalid UTF-8 to soup_header_parse_semi_param_list()
    - CVE-2024-52531
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2024-52532-1.patch: process the frame as soon
      as data is read
    - debian/patches/CVE-2024-52532-2.patch: disconnect error copy 
      after the test ends
    - CVE-2024-52532

 -- Bruce Cable <bruce.cable@canonical.com>  Mon, 18 Nov 2024 17:04:33 +1100

libsoup2.4 (2.70.0-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
  * Merge packaging changes from unstable
  * d/p/test-utils-Clarify-meaning-of-an-environment-variable.patch,
    d/p/tests-Skip-tests-if-unable-to-start-Apache.patch:
    Work around intermittent failure to start Apache for unit tests
  * Upload 2.70.x branch to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Mar 2020 09:43:38 +0000

libsoup2.4 (2.68.4-1) unstable; urgency=medium

  * Team upload

  [ Sebastien Bacher ]
  * debian/test/build:
    - Use the correct compiler for proposed autopkgtest cross-testing
      support

  [ Simon McVittie ]
  * New upstream release
    - Require GLib 2.58, for g_canonicalize_filename()
  * Correct list of patches in previous changelog entry.
    d/p/tests-Disable-parallelism-for-XMLRPC-server-tests.patch
    turned out to be unnecessary and was dropped before upload.
  * d/p/xmlrpc-tests-Cope-with-GLib-2.62-TAP-output.patch,
    d/p/tests-Disable-parallelism-for-installed-tests-too.patch:
    Drop, applied upstream
  * Switch packaging branch to debian/unstable, upstream/2.68.x.
    Versions 2.69.x are already in debian/master and upstream/latest.
  * d/watch: Only watch for stable releases
  * d/p/skip-tls_interaction-test.patch, d/tests:
    Don't skip this test (suspected to be flaky) if an environment variable
    is set. Run it as an autopkgtest marked as flaky, to get an idea of
    how often it fails.
  * Standards-Version: 4.5.0
  * Replace non-standard pkg.libsoup2.4.noinsttests build-profile with
    noinsttest
  * libsoup2.4-1.docs: Normalize order of lines
  * Normalize order of (build-)dependencies (wrap-and-sort -a)
  * Wrap long lines in changelog entries: 2.62.2-2
  * Set field Upstream-Name in debian/copyright
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse



=== debian/control ===
--- 
+++ 
@@ -5,33 +5,34 @@
 Source: libsoup2.4
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: apache2 (>= 2.4) <!nocheck> <!noinsttest>,
+               curl <!nocheck> <!noinsttest>,
+               debhelper-compat (= 12),
                dh-sequence-gir,
                dh-sequence-gnome,
+               glib-networking (>= 2.32.0),
+               gtk-doc-tools,
+               libapache2-mod-php (<< 2:8) <!nocheck> <!noinsttest>,
+               libapache2-mod-php (>= 2:7) <!nocheck> <!noinsttest>,
                libbrotli-dev,
+               libgirepository1.0-dev (>= 0.9.5),
                libglib2.0-dev (>= 2.58),
-               glib-networking (>= 2.32.0),
+               libkrb5-dev,
+               libnss-myhostname [linux-any] <!nocheck>,
+               libpsl-dev (>= 0.20),
                libsqlite3-dev,
                libxml2-dev,
-               libkrb5-dev,
-               libpsl-dev (>= 0.20),
-               gtk-doc-tools,
                meson (>= 0.48),
-               libgirepository1.0-dev (>= 0.9.5),
-               apache2 (>= 2.4) <!nocheck !pkg.libsoup2.4.noinsttests>,
-               libapache2-mod-php (>= 2:7) <!nocheck !pkg.libsoup2.4.noinsttests>,
-               libapache2-mod-php (<< 2:8) <!nocheck !pkg.libsoup2.4.noinsttests>,
-               php (>= 2:7) <!nocheck !pkg.libsoup2.4.noinsttests>,
-               php (<< 2:8) <!nocheck !pkg.libsoup2.4.noinsttests>,
-               php-xmlrpc <!nocheck !pkg.libsoup2.4.noinsttests>,
+               php (<< 2:8) <!nocheck> <!noinsttest>,
+               php (>= 2:7) <!nocheck> <!noinsttest>,
+               php-xmlrpc <!nocheck> <!noinsttest>,
                python3,
-               curl <!nocheck !pkg.libsoup2.4.noinsttests>,
-               libnss-myhostname [linux-any] <!nocheck>,
                valac
 Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup
 Vcs-Git: https://salsa.debian.org/gnome-team/libsoup.git
 Homepage: https://wiki.gnome.org/Projects/libsoup
@@ -41,15 +42,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: gir1.2-soup-2.4 (= ${binary:Version}),
          libbrotli-dev,
+         libglib2.0-dev (>= 2.58.0),
          libpsl-dev (>= 0.20),
          libsoup2.4-1 (= ${binary:Version}),
          libsqlite3-dev,
-         gir1.2-soup-2.4 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.58.0),
          libxml2-dev,
          zlib1g-dev,
+         ${misc:Depends}
 Suggests: libsoup2.4-doc
 Description: HTTP library implementation in C -- Development files
  It was originally part of a SOAP (Simple Object Access Protocol)
@@ -77,9 +78,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         glib-networking (>= 2.32.0)
+Depends: glib-networking (>= 2.32.0),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: HTTP library implementation in C -- Shared library
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
@@ -138,10 +139,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         gir1.2-soup-2.4 (= ${binary:Version}),
+Depends: gir1.2-soup-2.4 (= ${binary:Version}),
          libsoup-gnome2.4-1 (= ${binary:Version}),
-         libsoup2.4-dev (= ${binary:Version})
+         libsoup2.4-dev (= ${binary:Version}),
+         ${misc:Depends}
 Suggests: libsoup2.4-doc
 Description: HTTP library implementation in C -- GNOME support development files
  It was originally part of a SOAP (Simple Object Access Protocol)
@@ -203,8 +204,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: gir1.2-soupgnome-2.4 (= ${binary:Version})
 Description: GObject introspection data for the libsoup HTTP library
  This package contains introspection data for the libsoup HTTP library.
@@ -219,18 +220,18 @@
  dynamic bindings.
 
 Package: libsoup2.4-tests
-Build-Profiles: <!pkg.libsoup2.4.noinsttests>
+Build-Profiles: <!noinsttest>
 Section: misc
 Architecture: any
 Depends: apache2 (>= 2.4),
          curl,
+         libapache2-mod-php (<< 2:8),
          libapache2-mod-php (>= 2:7),
-         libapache2-mod-php (<< 2:8),
          libnss-myhostname [linux-any],
          php,
          php-xmlrpc,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: gnome-desktop-testing
 Description: HTTP library implementation in C -- installed tests
  libsoup uses the Glib main loop and is designed to work well with GTK+

=== debian/rules ===
--- 
+++ 
@@ -8,15 +8,14 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--libexecdir=libexec \
 		-Dbrotli=enabled \
 		-Dgtk_doc=true \
+		-Dinstalled_tests=true \
 		-Dvapi=enabled
 
 override_dh_missing:
 	dh_missing --list-missing
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libsoup2.4-dbg (<< 2.54.0.1-1~)'
-
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4

## libsoup2.4 2.72.0

=== debian/changelog ===
libsoup2.4 (2.72.0-2) unstable; urgency=medium

  * Team upload
  * d/p/gitlab_tests_fix.patch:
    Update patch metadata to reflect it being applied upstream
  * Amend 2.71.1-1 changelog entry to reflect that patch fixing tests when
    run against glib-networking >= 2.65.90 (see #970935)
  * d/p/tests-ensure-we-use-an-absolute-path-for-apache-server-ro.patch:
    Add patch from upstream to fix Apache startup in some circumstances.
    This might make d/p/tests-Skip-tests-if-unable-to-start-Apache.patch
    unnecessary, but that patch was for an intermittent failure, so let's
    get more test results before removing it.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Sep 2020 16:46:52 +0100

libsoup2.4 (2.72.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 13:59:03 +0200

libsoup2.4 (2.71.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/gitlab_tests_fix.patch:
    - backport an upstream proposed change to fix the tests
      (Closes: #970935)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 10 Sep 2020 10:27:08 +0200

libsoup2.4 (2.71.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * d/shlibs.local: Generate lockstep dependencies between binary packages.
    Upstream developers are not going to support mixing binary packages
    of different versions from the same source package, and neither should
    we; they all migrate to testing as a unit anyway.
  * Don't override libexecdir to libexec.
    This is the default now.

  [ Sebastien Bacher ]
  * New upstream release
  * debian/libsoup2.4-1.symbols:
    - refreshed the list of sumbols for the new version
  * d/p/test-utils-Clarify-meaning-of-an-environment-variable.patch:
    - removed, the fix is included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Aug 2020 13:58:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: libsoup2.4
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: apache2 (>= 2.4) <!nocheck> <!noinsttest>,
                curl <!nocheck> <!noinsttest>,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dbrotli=enabled \
		-Dgtk_doc=true \
		-Dinstalled_tests=true \
		-Dvapi=enabled

override_dh_missing:
	dh_missing --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## libsoup2.4 2.74.0

=== debian/changelog ===
libsoup2.4 (2.74.0-2) unstable; urgency=medium

  * Add patch to revert commit applied for use with vala 0.53.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Aug 2021 19:13:26 -0400

libsoup2.4 (2.74.0-1) unstable; urgency=medium

  * New upstream release
  * Drop three patches applied in new release
  * Don't let debhelper 13.4+ make all the installed-tests executable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 26 Aug 2021 20:45:31 -0400

libsoup2.4 (2.72.0-4) unstable; urgency=medium

  * Team upload
  * Upload to unstable, to unblock upload of GLib 2.68.x

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Aug 2021 14:06:06 +0100

libsoup2.4 (2.72.0-3) experimental; urgency=medium

  * d/p/tests-connection-test-Update-expected-events-for-GLib-2.6.patch. Fix
    test compatibility with glib 2.67.0

 -- Iain Lane <laney@debian.org>  Thu, 04 Mar 2021 22:05:29 +0000

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
+
+built_binaries := $(shell dh_listpackages)
 
 %:
 	dh $@
@@ -16,5 +19,11 @@
 override_dh_missing:
 	dh_missing --list-missing
 
-override_dh_makeshlibs:
-	dh_makeshlibs -- -c4
+# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
+# quite right for installed-tests
+override_dh_fixperms:
+	dh_fixperms -Xusr/libexec/installed-tests
+ifneq ($(filter %-tests,$(built_binaries)),)
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/libsoup*/*.so
+	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
+endif

## libsoup2.4 2.74.2

=== meson_options.txt ===
--- 
+++ 
@@ -70,3 +70,9 @@
   value: false,
   description: 'Install tests for as-installed testing'
 )
+
+option('sysprof',
+  type: 'feature',
+  value: 'auto',
+  description: 'enable sysprof-capture support for profiling'
+)

=== debian/changelog ===
libsoup2.4 (2.74.2-3ubuntu0.6) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service.
    - debian/patches/CVE-2025-32907-*.patch: Add i-- in
      libsoup/soup-message-headers.c. Add B_SANITIZE_OPTION to meson.build.
    - debian/patches/CVE-2025-4948.patch: Add ternary end - 2 - split check in
      libsoup/soup-multipart.c.
    - CVE-2025-32907
    - CVE-2025-4948
  * SECURITY UPDATE: Out of bounds read.
    - debian/patches/CVE-2025-4969.patch: Add extra if checks for start of line
      in libsoup/soup-multipart.c.
    - CVE-2025-4969
  * SECURITY UPDATE: Improper validation of cookie expiration.
    - debian/patches/CVE-2025-4945-*.patch: Add extra date checks in
      libsoup/soup-date.c.
    - CVE-2025-4945

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 15 Jul 2025 13:32:52 -0230

libsoup2.4 (2.74.2-3ubuntu0.5) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service.
    - debian/patches/CVE-2025-4476.patch: Replace strcmp with g_strcmp0 in
      ./libsoup/soup-auth-digest.c.
    - CVE-2025-4476

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 23 May 2025 14:24:30 -0230

libsoup2.4 (2.74.2-3ubuntu0.4) jammy-security; urgency=medium

  * SECURITY REGRESSION: Incomplete fix for CVE-2025-32912 (LP: #2110056)
    - debian/patches/CVE-2025-32912-fix1.patch: Replace g_hash_table_contains
      with g_hash_table_lookup in ./libsoup/soup-auth-digest.c.
    - CVE-2025-32912

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 06 May 2025 15:03:48 -0230

libsoup2.4 (2.74.2-3ubuntu0.3) jammy-security; urgency=medium

  * SECURITY UPDATE: Out of bound read.
    - debian/patches/CVE-2025-32906-*.patch: Add out of bound checks in
      soup_headers_parse_request in ./libsoup/soup-headers.c.
    - debian/patches/CVE-2025-32914.patch: Replace strstr operation with
      g_strstr_len in ./libsoup/soup-multipart.c.
    - CVE-2025-32906
    - CVE-2025-32914
  * SECURITY UPDATE: Null pointer dereference.
    - debian/patches/CVE-2025-32909.patch: Add resource size check in
      ./libsoup/soup-content-sniffer.c.
    - debian/patches/CVE-2025-32910-32912-*.patch: Add checks for missing realm
      and nonce, and fix memory leak in ./libsoup/soup-auth-digest.c.
    - debian/patches/CVE-2025-32912.patch: Add additional checks for nonce in
      ./libsoup/soup-auth-digest.c.
    - CVE-2025-32909
    - CVE-2025-32910
    - CVE-2025-32912
  * SECURITY UPDATE: Memory corruption.
    - debian/patches/CVE-2025-32911-32913-*.patch: Add checks for empty
      filename in ./libsoup/soup-message-headers.c.
    - CVE-2025-32911
    - CVE-2025-32913
  * SECURITY UPDATE: Memory leak.
    - debian/patches/CVE-2025-46420.patch: Free allocated strings during
      iteration in ./libsoup/soup-headers.c.
    - CVE-2025-46420
  * SECURITY UPDATE: Information exposure through host impersonation.
    - debian/patches/CVE-2025-46421.patch: Strip credentials on cross-origin
      redirects in ./libsoup/soup-session.c.
    - CVE-2025-46421
  * debian/patches/Extend-test-cert-to-2049.patch: Extend expiration to 2049 of
    a certificate used for build tests.

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 02 May 2025 16:43:03 -0230

libsoup2.4 (2.74.2-3ubuntu0.2) jammy-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2025-2784-1.patch: Fix potential overflow
    - debian/patches/CVE-2025-2784-2.patch: Add better coverage of
      skip_insignificant_space()
    - CVE-2025-2784
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2025-32050.patch: Fix using int instead of
      size_t for strcspn return
    - CVE-2025-32050
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2025-32052.patch: Fix heap buffer overflow in
      soup_content_sniffer_sniff
    - CVE-2025-32052
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2025-32053.patch: Fix heap buffer overflow in
      sniff_feed_or_html()
    - CVE-2025-32053

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Wed, 09 Apr 2025 18:44:58 +0200

libsoup2.4 (2.74.2-3ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Request smuggling
    - debian/patches/CVE-2024-52530.patch: Strictly don't allow NUL 
      bytes in headers
    - CVE-2024-52530
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2024-52531-1.patch: Be more robust against 
      invalid input when parsing params
    - debian/patches/CVE-2024-52531-2.patch: Add test for passing 
      invalid UTF-8 to soup_header_parse_semi_param_list()
    - CVE-2024-52531
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2024-52532-1.patch: process the frame as soon
      as data is read
    - debian/patches/CVE-2024-52532-2.patch: disconnect error copy 
      after the test ends
    - CVE-2024-52532

 -- Bruce Cable <bruce.cable@canonical.com>  Tue, 19 Nov 2024 09:24:38 +1100

libsoup2.4 (2.74.2-3) unstable; urgency=medium

  * Team upload
  * Source-only upload to allow testing migration
  * Move to debhelper compat level 13
  * Standards-Version: 4.6.0 (no changes required)
  * Override Lintian errors for RUNPATH in installed-tests.
    These have a private shared library for common code.
  * Override overzealous Lintian hint for documentation outside /usr/share/doc
  * d/p/tests-add-soup_test_build_filename_abs.patch,
    d/p/test-utils-Log-Apache-arguments.patch,
    d/p/test-utils-Save-Apache-server-root-during-initialization.patch:
    Add patches to fix unit test teardown for XMLRPC tests
  * Adjust PHP dependencies.
    php currently has a complicated version number as a result of a
    transition to PHP 8 that was started and then rolled back.
  * d/p/Record-Apache-error-log-for-unit-tests-and-show-it-during.patch:
    Add patch to display Apache error log in test diagnostics
  * d/p/Mark-XMLRPC-tests-as-flaky.patch:
    Add patch to treat tests based on php-xmlrpc as unreliable



=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Source: libsoup2.4
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: apache2 (>= 2.4) <!nocheck> <!noinsttest>,
                curl <!nocheck> <!noinsttest>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                glib-networking (>= 2.32.0),
                gtk-doc-tools,
-               libapache2-mod-php (<< 2:8) <!nocheck> <!noinsttest>,
+               libapache2-mod-php (<< 2:9) <!nocheck> <!noinsttest>,
                libapache2-mod-php (>= 2:7) <!nocheck> <!noinsttest>,
                libbrotli-dev,
                libgirepository1.0-dev (>= 0.9.5),
@@ -25,13 +26,13 @@
                libsqlite3-dev,
                libxml2-dev,
                meson (>= 0.48),
-               php (<< 2:8) <!nocheck> <!noinsttest>,
+               php (<< 2:9) <!nocheck> <!noinsttest>,
                php (>= 2:7) <!nocheck> <!noinsttest>,
-               php-xmlrpc <!nocheck> <!noinsttest>,
+               php-xmlrpc <!nocheck> <!noinsttest> | php (>= 2:8.1+85+really8) <!nocheck> <!noinsttest>,
                python3,
                valac
 Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup
 Vcs-Git: https://salsa.debian.org/gnome-team/libsoup.git
 Homepage: https://wiki.gnome.org/Projects/libsoup
@@ -78,6 +79,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: glib-networking (>= 2.32.0),
+         libsoup2.4-common,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: HTTP library implementation in C -- Shared library
@@ -168,6 +170,17 @@
   * Basic client-side SOAP and XML-RPC support
  .
  This package contains the development files for the GNOME support.
+
+Package: libsoup2.4-common
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Description: HTTP library implementation in C -- Common files
+ It was originally part of a SOAP (Simple Object Access Protocol)
+ implementation called Soup, but the SOAP and non-SOAP parts have now been
+ split into separate packages.
+ .
+ This package contains architecture-independent files such as translations.
 
 Package: libsoup2.4-doc
 Section: doc
@@ -224,11 +237,11 @@
 Architecture: any
 Depends: apache2 (>= 2.4),
          curl,
-         libapache2-mod-php (<< 2:8),
+         libapache2-mod-php (<< 2:9),
          libapache2-mod-php (>= 2:7),
          libnss-myhostname [linux-any],
          php,
-         php-xmlrpc,
+         php-xmlrpc | php (>= 2:8.1+85+really8.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gnome-desktop-testing

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/libsoup/cache.json \
	2[\d.]+[02468]/libsoup-([\d.]+)@ARCHIVE_EXT@
